(* EPITA SPE 2009/2010       *)
(* Partiel 1 - Décembre 2009 *)
(* question 06 - test        *)

module Q = Question06

let add v x =
  v.Q.tab.(v.Q.size) <- x;
  v.Q.size <- v.Q.size + 1

let print_vector v =
  Format.printf "@[<v>v = @;{@[<v 2>@;";
  Format.printf "size = %d;@;" v.Q.size;
  Format.printf "@[<b 2>tab =@;[|";
  Array.iter (Format.printf "@;%02d;") v.Q.tab;
  Format.printf "@;|]@];";
  Format.printf "@]@;}@]@."

let main () =
  begin
    let q = new Test_frame.qSeedSizeInt 6 99 in
      q#beginParse;
      q#init;
      let v =
	{
	  Q.size = q#getSize;
	  Q.tab = Array.init q#getSize (fun _ -> q#getN)
	}
      in
	print_vector v;
	Q.reverse v;
	Format.printf "reverse v@.";
	print_vector v;
  end

let _ = main ()
