module type S =
  sig
    type t
    val zero : t
    val succ : t -> t
    val pred : t -> t
    val add : t -> t -> t
    val canon : t -> t
    val equal : t -> t -> bool
    val to_string : t -> string
  end
module Peano : S
