(* EPITA SPE 2009/2010       *)
(* Partiel 1 - Décembre 2009 *)
(* question 04 - test        *)

module Q = Question04

let rec build_tree q = function
    0 -> Q.Nil
  | n -> Q.Node (build_tree q (n-1),q#getN, build_tree q (n-1))

let rec print_tree = function
    Q.Nil -> Format.printf "Nil"
  | Q.Node(ls,k,rs) ->
      begin
	Format.printf "@[<b 2>Node (@;";
	print_tree ls;
	Format.printf ", %03d,@;" k;
	print_tree rs;
	Format.printf ")@]@;"
      end

let f x =
  if x mod 5 = 0 then Some (x/(-5))
  else None

let main () =
  begin
    let q = new Test_frame.qSeedSizeInt 4 99 in
      q#beginParse;
      q#init;
      let t = build_tree q q#getSize in
	Format.printf "@[<v 2>t =@;";
	print_tree t;
	Format.printf "@]@.";
	Format.printf
	  "@[<v 2>let f x =@;if x mod 5 = 0 ";
	Format.printf
	  "then@[<b 2>@;Some (x/(-5))@]";
	Format.printf "@;@[<b 2>else@;None@]@]@\n@.";
	Format.printf "@[<v 2>xtransform f t =@;";
	print_tree (Q.xtransform f t);
	Format.printf "@]@.";
  end

let _ = main ()
