(* EPITA SPE 2009/2010       *)
(* Partiel 1 - Décembre 2009 *)
(* question 05 - test        *)

module Q = Question05

let rec build_tree q = function
    0 -> Q.Nil
  | n -> Q.Node (build_tree q (n-1),q#getN, build_tree q (n-1))

let rec print_tree = function
    Q.Nil -> Format.printf "Nil"
  | Q.Node(ls,k,rs) ->
      begin
	Format.printf "@[<b 2>Node (@;";
	print_tree ls;
	Format.printf ", %03d,@;" k;
	print_tree rs;
	Format.printf ")@]@;"
      end

let main () =
  begin
    let q = new Test_frame.qSeedSizeInt 5 99 in
      q#beginParse;
      q#init;
      let t = build_tree q q#getSize in
	Format.printf "@[<v 2>t =@;";
	print_tree t;
	Format.printf "@]@.";
	Format.printf "@[<v 2>mirror t =@;";
	print_tree (Q.mirror t);
	Format.printf "@]@.";
  end

let _ = main ()
