(* EPITA SPE 2009/2010       *)
(* Partiel 1 - Décembre 2009 *)
(* question 07 - test        *)

module Q = Question07

let rec build f x = function
    0 -> []
  | n -> let h = f x in h :: build f x (n-1)

let rec build_tree q = function
    0 -> Q.Node (q#getN, [])
  | n -> Q.Node (q#getN, build (build_tree q) (n-1) (1 + Random.int 3))

let rec print_tree = function
  | Q.Node (k,l) ->
      begin
	Format.printf "@[<b 2>Node(";
	Format.printf "%02d, [@;" k;
	List.iter print_tree l;
	Format.printf "])@]@;"
      end

let main () =
  begin
    let q = new Test_frame.qSeedSizeInt 7 99 in
      q#beginParse;
      q#init;
      let t = build_tree q q#getSize in
	Format.printf "@[<v 2>t =@;";
	print_tree t;
	Format.printf "@]@.";
	Format.printf "@[<b 2>breadth_first_iter =@;";
	Q.breadth_first_iter (Format.printf "%02d@;") t;
	Format.printf "@]@."
  end

let _ = main ()
