(* EPITA SPE 2009/2010       *)
(* Partiel 1 - Décembre 2009 *)
(* question 08 - test        *)

module Q = Question08


let rec peano = function
    0 -> Q.Peano.zero
  | n ->
      (if Random.bool () then Q.Peano.succ
       else Q.Peano.pred) (peano (n-1))

let main () =
  begin
    let q = new Test_frame.qSeedSizeInt 8 16 in
      q#beginParse;
      q#init;
      let p1 = peano q#getSize in
      let p1' = Q.Peano.canon p1 in
      let p2 = peano q#getSize in
      let p2' = Q.Peano.canon p2 in
      let p3 = Q.Peano.add p1 p2 in
      let p4 = Q.Peano.add p1' p2' in
	Format.printf "p1 = %s@." (Q.Peano.to_string p1);
	Format.printf "@[<b 2>p1' =@;canon p1 =@;%s@]@."
	  (Q.Peano.to_string p1');
	Format.printf "p2 = %s@." (Q.Peano.to_string p2);
	Format.printf "@[<b 2>p2' =@;canon p2 =@;%s@]@."
	  (Q.Peano.to_string p2');
	Format.printf "add p1 p2 = %s@."
	  (Q.Peano.to_string p3);
	Format.printf "add p1' p2' = %s@."
	  (Q.Peano.to_string p4);
	if (Q.Peano.equal p3 p4) then
	  Format.printf "add p1 p2 = add p1' p2'@."
	else
	  Format.printf "add p1 p2 <> add p1' p2'@."

  end

let _ = main ()
